{% sw_extends '@Storefront/storefront/component/checkout/offcanvas-item.html.twig' %}

{% block component_offcanvas_product_details %}
    <div class="col cart-item-details">
        {% block component_offcanvas_product_details_inner %}
            <div class="cart-item-details-container">
                {% block component_offcanvas_product_label %}
                    <div>
                        {% if type == PRODUCT_LINE_ITEM_TYPE %}
                            <a href="{{ seoUrl('frontend.detail.page', {'productId': referencedId}) }}"
                               class="cart-item-label"
                               title="{{ label }}">
                                {{ quantity }}{{ "checkout.quantityTimes"|trans|sw_sanitize }} {{ label|u.truncate(60, '...', false) }}
                            </a>
                        {% else %}
                            <div class="cart-item-label">
                                {{ label|u.truncate(60, '...', false) }}
                            </div>
                        {% endif  %}
                    </div>
                {% endblock %}

                {% block component_offcanvas_product_quantity_price %}
                    <div class="cart-quantity-price">
                        {% block component_offcanvas_product_quantity %}
                        {% endblock %}

                        {% block component_offcanvas_product_total_price %}
                            <div class="cart-item-price">
                                {# Shipping costs discounts always have a price of 0, which might be confusing, therefore we do not show those #}
                                {% if lineItem.payload.discountScope != 'delivery' %}
                                    {{ price.totalPrice|currency }}{{ "general.star"|trans|sw_sanitize }}
                                {% endif %}
                                {% set referencePrice = price.referencePrice %}
                                {% if referencePrice is not null %}
                                    <small class="cart-item-reference-price">
                                        ({{ referencePrice.price|currency }}{{ "general.star"|trans|sw_sanitize }} / {{ referencePrice.referenceUnit }}&nbsp;{{ referencePrice.unitName }})
                                    </small>
                                {% endif %}
                            </div>
                        {% endblock %}
                    </div>
                {% endblock %}

                {% block cart_item_variant_characteristics %}
                    <div class="cart-item-characteristics">
                        {% for option in lineItem.payload.options %}
                            <p>{{ option.group }}:
                                <span class="cart-item-characteristics-option">{{ option.option }}</span>
                            </p>
                        {% endfor %}
                    </div>
                {% endblock %}

                {% block component_offcanvas_product_details_features %}
                    {% if lineItem.type == PRODUCT_LINE_ITEM_TYPE and lineItem.payload.features is not null %}
                        {% sw_include '@Storefront/storefront/component/product/feature/list.html.twig' with {
                            'features': lineItem.payload.features
                        } %}
                    {% endif %}
                {% endblock %}
            </div>
        {% endblock %}
    </div>
{% endblock %}

{% block component_offcanvas_product_remove %}
{% endblock %}